# StepBasic_RoleSelect.hxx File Reference

`#include <StepData_SelectType.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Handle_Standard_Transient.hxx>`
`#include <Handle_StepBasic_ActionAssignment.hxx>`
`#include <Handle_StepBasic_ActionRequestAssignment.hxx>`
`#include <Handle_StepBasic_ApprovalAssignment.hxx>`
`#include <Handle_StepBasic_ApprovalDateTime.hxx>`
`#include <Handle_StepBasic_CertificationAssignment.hxx>`
`#include <Handle_StepBasic_ContractAssignment.hxx>`
`#include <Handle_StepBasic_DocumentReference.hxx>`
`#include <Handle_StepBasic_EffectivityAssignment.hxx>`
`#include <Handle_StepBasic_GroupAssignment.hxx>`
`#include <Handle_StepBasic_NameAssignment.hxx>`
`#include <Handle_StepBasic_SecurityClassificationAssignment.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`